/* WallpaperContainer.c generated by valac 0.36.3, the Vala compiler
 * generated from WallpaperContainer.vala, do not modify */

/*-
 * Copyright (c) 2015-2017 elementary LLC. (https://bugs.launchpad.net/switchboard-plug-pantheon-shell)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Erasmo Marín
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk/gdk.h>


#define TYPE_WALLPAPER_CONTAINER (wallpaper_container_get_type ())
#define WALLPAPER_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_WALLPAPER_CONTAINER, WallpaperContainer))
#define WALLPAPER_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_WALLPAPER_CONTAINER, WallpaperContainerClass))
#define IS_WALLPAPER_CONTAINER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_WALLPAPER_CONTAINER))
#define IS_WALLPAPER_CONTAINER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_WALLPAPER_CONTAINER))
#define WALLPAPER_CONTAINER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_WALLPAPER_CONTAINER, WallpaperContainerClass))

typedef struct _WallpaperContainer WallpaperContainer;
typedef struct _WallpaperContainerClass WallpaperContainerClass;
typedef struct _WallpaperContainerPrivate WallpaperContainerPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _WallpaperContainer {
	GtkFlowBoxChild parent_instance;
	WallpaperContainerPrivate * priv;
};

struct _WallpaperContainerClass {
	GtkFlowBoxChildClass parent_class;
};

struct _WallpaperContainerPrivate {
	GtkRevealer* check_revealer;
	GtkImage* image;
	gchar* _uri;
	GdkPixbuf* _thumb;
};


static gpointer wallpaper_container_parent_class = NULL;

GType wallpaper_container_get_type (void) G_GNUC_CONST;
#define WALLPAPER_CONTAINER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_WALLPAPER_CONTAINER, WallpaperContainerPrivate))
enum  {
	WALLPAPER_CONTAINER_DUMMY_PROPERTY,
	WALLPAPER_CONTAINER_URI,
	WALLPAPER_CONTAINER_THUMB,
	WALLPAPER_CONTAINER_CHECKED,
	WALLPAPER_CONTAINER_SELECTED
};
#define WALLPAPER_CONTAINER_CARD_STYLE_CSS "\n" \
"        flowboxchild,\n" \
"        GtkFlowBox .grid-child {\n" \
"            background-color: transparent;\n" \
"        }\n" \
"\n" \
"        flowboxchild:focus .card,\n" \
"        GtkFlowBox .grid-child:focus .card {\n" \
"            border: 3px solid alpha (#000, 0.2);\n" \
"            border-radius: 3px;\n" \
"        }\n" \
"\n" \
"        flowboxchild:focus .card:checked,\n" \
"        GtkFlowBox .grid-child:focus .card:checked {\n" \
"            border-color: @selected_bg_color;\n" \
"        }\n" \
"    "
WallpaperContainer* wallpaper_container_new (const gchar* uri);
WallpaperContainer* wallpaper_container_construct (GType object_type, const gchar* uri);
const gchar* wallpaper_container_get_uri (WallpaperContainer* self);
static void wallpaper_container_set_uri (WallpaperContainer* self, const gchar* value);
GdkPixbuf* wallpaper_container_get_thumb (WallpaperContainer* self);
static void wallpaper_container_set_thumb (WallpaperContainer* self, GdkPixbuf* value);
gboolean wallpaper_container_get_checked (WallpaperContainer* self);
void wallpaper_container_set_checked (WallpaperContainer* self, gboolean value);
gboolean wallpaper_container_get_selected (WallpaperContainer* self);
void wallpaper_container_set_selected (WallpaperContainer* self, gboolean value);
static GObject * wallpaper_container_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
gboolean cache_is_cached (const gchar* uri);
GdkPixbuf* cache_get_cached_image (const gchar* uri);
gboolean cache_cache_image_pixbuf (GdkPixbuf* pixbuf, const gchar* uri);
static void _wallpaper_container___lambda4_ (WallpaperContainer* self);
static void __wallpaper_container___lambda4__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender, gpointer self);
static void wallpaper_container_finalize (GObject * obj);
static void _vala_wallpaper_container_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_wallpaper_container_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


WallpaperContainer* wallpaper_container_construct (GType object_type, const gchar* uri) {
	WallpaperContainer * self = NULL;
	const gchar* _tmp0_;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = uri;
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self = (WallpaperContainer*) g_object_new (object_type, "uri", _tmp0_, "thumb", NULL, NULL);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return self;
#line 109 "WallpaperContainer.c"
}


WallpaperContainer* wallpaper_container_new (const gchar* uri) {
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return wallpaper_container_construct (TYPE_WALLPAPER_CONTAINER, uri);
#line 116 "WallpaperContainer.c"
}


const gchar* wallpaper_container_get_uri (WallpaperContainer* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_uri;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return result;
#line 131 "WallpaperContainer.c"
}


static void wallpaper_container_set_uri (WallpaperContainer* self, const gchar* value) {
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (g_strcmp0 (value, wallpaper_container_get_uri (self)) != 0) {
#line 140 "WallpaperContainer.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp0_ = value;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_free0 (self->priv->_uri);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		self->priv->_uri = _tmp1_;
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_object_notify ((GObject *) self, "uri");
#line 153 "WallpaperContainer.c"
	}
}


GdkPixbuf* wallpaper_container_get_thumb (WallpaperContainer* self) {
	GdkPixbuf* result;
	GdkPixbuf* _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = self->priv->_thumb;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return result;
#line 169 "WallpaperContainer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return self ? g_object_ref (self) : NULL;
#line 176 "WallpaperContainer.c"
}


static void wallpaper_container_set_thumb (WallpaperContainer* self, GdkPixbuf* value) {
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (wallpaper_container_get_thumb (self) != value) {
#line 185 "WallpaperContainer.c"
		GdkPixbuf* _tmp0_;
		GdkPixbuf* _tmp1_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp0_ = value;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (self->priv->_thumb);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		self->priv->_thumb = _tmp1_;
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_object_notify ((GObject *) self, "thumb");
#line 198 "WallpaperContainer.c"
	}
}


gboolean wallpaper_container_get_checked (WallpaperContainer* self) {
	gboolean result;
	GtkStateFlags _tmp0_;
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 48 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = gtk_widget_get_state_flags ((GtkWidget*) self);
#line 48 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	result = (_tmp0_ & GTK_STATE_FLAG_CHECKED) == GTK_STATE_FLAG_CHECKED;
#line 48 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return result;
#line 214 "WallpaperContainer.c"
}


void wallpaper_container_set_checked (WallpaperContainer* self, gboolean value) {
	gboolean _tmp0_;
#line 49 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = value;
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (_tmp0_) {
#line 226 "WallpaperContainer.c"
		GtkImage* _tmp1_;
		GtkRevealer* _tmp2_;
#line 51 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp1_ = self->priv->image;
#line 51 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) _tmp1_, GTK_STATE_FLAG_CHECKED, FALSE);
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp2_ = self->priv->check_revealer;
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp2_, TRUE);
#line 237 "WallpaperContainer.c"
	} else {
		GtkImage* _tmp3_;
		GtkRevealer* _tmp4_;
#line 54 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp3_ = self->priv->image;
#line 54 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) _tmp3_, GTK_STATE_FLAG_CHECKED);
#line 55 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp4_ = self->priv->check_revealer;
#line 55 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_revealer_set_reveal_child (_tmp4_, FALSE);
#line 249 "WallpaperContainer.c"
	}
#line 58 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 49 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_notify ((GObject *) self, "checked");
#line 255 "WallpaperContainer.c"
}


gboolean wallpaper_container_get_selected (WallpaperContainer* self) {
	gboolean result;
	GtkStateFlags _tmp0_;
#line 63 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = gtk_widget_get_state_flags ((GtkWidget*) self);
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	result = (_tmp0_ & GTK_STATE_FLAG_SELECTED) == GTK_STATE_FLAG_SELECTED;
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return result;
#line 270 "WallpaperContainer.c"
}


void wallpaper_container_set_selected (WallpaperContainer* self, gboolean value) {
	gboolean _tmp0_;
#line 65 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = value;
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (_tmp0_) {
#line 67 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_widget_set_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED, FALSE);
#line 284 "WallpaperContainer.c"
	} else {
#line 69 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_widget_unset_state_flags ((GtkWidget*) self, GTK_STATE_FLAG_SELECTED);
#line 288 "WallpaperContainer.c"
	}
#line 72 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_queue_draw ((GtkWidget*) self);
#line 65 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_notify ((GObject *) self, "selected");
#line 294 "WallpaperContainer.c"
}


static void _wallpaper_container___lambda4_ (WallpaperContainer* self) {
#line 129 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	wallpaper_container_set_checked (self, TRUE);
#line 301 "WallpaperContainer.c"
}


static void __wallpaper_container___lambda4__gtk_flow_box_child_activate (GtkFlowBoxChild* _sender, gpointer self) {
#line 128 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_wallpaper_container___lambda4_ ((WallpaperContainer*) self);
#line 308 "WallpaperContainer.c"
}


static GObject * wallpaper_container_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	WallpaperContainer * self;
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp0_;
	GdkPixbuf* _tmp25_;
	GtkImage* _tmp26_;
	GtkImage* _tmp27_;
	GtkImage* _tmp28_;
	GtkImage* _tmp29_;
	GtkImage* _tmp30_;
	GtkStyleContext* _tmp31_;
	GtkImage* check = NULL;
	GtkImage* _tmp32_;
	GtkImage* _tmp33_;
	GtkImage* _tmp34_;
	GtkRevealer* _tmp35_;
	GtkRevealer* _tmp36_;
	GtkRevealer* _tmp37_;
	GtkImage* _tmp38_;
	GtkOverlay* overlay = NULL;
	GtkOverlay* _tmp39_;
	GtkOverlay* _tmp40_;
	GtkImage* _tmp41_;
	GtkOverlay* _tmp42_;
	GtkRevealer* _tmp43_;
	GdkPixbuf* _tmp44_;
	gint _tmp45_;
	GdkPixbuf* _tmp46_;
	gint _tmp47_;
	GtkOverlay* _tmp48_;
	GError * _inner_error_ = NULL;
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	parent_class = G_OBJECT_CLASS (wallpaper_container_parent_class);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 81 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 81 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	provider = _tmp0_;
#line 355 "WallpaperContainer.c"
	{
		GtkCssProvider* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		GdkScreen* _tmp4_;
		GtkCssProvider* _tmp5_;
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp1_ = provider;
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp2_ = strlen (WALLPAPER_CONTAINER_CARD_STYLE_CSS);
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp3_ = _tmp2_;
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_css_provider_load_from_data (_tmp1_, WALLPAPER_CONTAINER_CARD_STYLE_CSS, (gssize) _tmp3_, &_inner_error_);
#line 83 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 372 "WallpaperContainer.c"
			goto __catch14_g_error;
		}
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp4_ = gdk_screen_get_default ();
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp5_ = provider;
#line 84 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		gtk_style_context_add_provider_for_screen (_tmp4_, (GtkStyleProvider*) _tmp5_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 381 "WallpaperContainer.c"
	}
	goto __finally14;
	__catch14_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		e = _inner_error_;
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_inner_error_ = NULL;
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp6_ = e;
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp7_ = _tmp6_->message;
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_critical ("WallpaperContainer.vala:86: %s", _tmp7_);
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 401 "WallpaperContainer.c"
	}
	__finally14:
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 82 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error_);
#line 412 "WallpaperContainer.c"
	}
	{
		gboolean _tmp8_ = FALSE;
		GdkPixbuf* _tmp9_;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp9_ = self->priv->_thumb;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		if (_tmp9_ == NULL) {
#line 421 "WallpaperContainer.c"
			const gchar* _tmp10_;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			_tmp10_ = self->priv->_uri;
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			_tmp8_ = _tmp10_ != NULL;
#line 427 "WallpaperContainer.c"
		} else {
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			_tmp8_ = FALSE;
#line 431 "WallpaperContainer.c"
		}
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		if (_tmp8_) {
#line 435 "WallpaperContainer.c"
			const gchar* _tmp11_;
			gboolean _tmp12_;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			_tmp11_ = self->priv->_uri;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			_tmp12_ = cache_is_cached (_tmp11_);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
			if (_tmp12_) {
#line 444 "WallpaperContainer.c"
				const gchar* _tmp13_;
				GdkPixbuf* _tmp14_;
				GdkPixbuf* _tmp15_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp13_ = self->priv->_uri;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp14_ = cache_get_cached_image (_tmp13_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp15_ = _tmp14_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				wallpaper_container_set_thumb (self, _tmp15_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_g_object_unref0 (_tmp15_);
#line 458 "WallpaperContainer.c"
			} else {
				gchar* _tmp16_ = NULL;
				const gchar* _tmp17_;
				gchar* _tmp18_;
				GdkPixbuf* _tmp19_ = NULL;
				GdkPixbuf* _tmp20_;
				GdkPixbuf* _tmp21_;
				const gchar* _tmp22_;
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp17_ = self->priv->_uri;
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp18_ = g_filename_from_uri (_tmp17_, NULL, &_inner_error_);
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp16_ = _tmp18_;
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 475 "WallpaperContainer.c"
					goto __catch15_g_error;
				}
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp20_ = gdk_pixbuf_new_from_file_at_scale (_tmp16_, 162, 100, FALSE, &_inner_error_);
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp19_ = _tmp20_;
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
					_g_free0 (_tmp16_);
#line 486 "WallpaperContainer.c"
					goto __catch15_g_error;
				}
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				wallpaper_container_set_thumb (self, _tmp19_);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp21_ = self->priv->_thumb;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_tmp22_ = self->priv->_uri;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				cache_cache_image_pixbuf (_tmp21_, _tmp22_);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_g_object_unref0 (_tmp19_);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
				_g_free0 (_tmp16_);
#line 501 "WallpaperContainer.c"
			}
		}
	}
	goto __finally15;
	__catch15_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		e = _inner_error_;
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_inner_error_ = NULL;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp23_ = e;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_tmp24_ = _tmp23_->message;
#line 99 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_critical ("WallpaperContainer.vala:99: Failed to load wallpaper thumbnail: %s", _tmp24_);
#line 100 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_error_free0 (e);
#line 100 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 100 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		return obj;
#line 527 "WallpaperContainer.c"
	}
	__finally15:
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		_g_object_unref0 (provider);
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 89 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_clear_error (&_inner_error_);
#line 538 "WallpaperContainer.c"
	}
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp25_ = self->priv->_thumb;
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp26_ = (GtkImage*) gtk_image_new_from_pixbuf (_tmp25_);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp26_);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 103 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self->priv->image = _tmp26_;
#line 104 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp27_ = self->priv->image;
#line 104 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp27_, GTK_ALIGN_CENTER);
#line 105 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp28_ = self->priv->image;
#line 105 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp28_, GTK_ALIGN_CENTER);
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp29_ = self->priv->image;
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) _tmp29_, "margin", 9, NULL);
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp30_ = self->priv->image;
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp31_ = gtk_widget_get_style_context ((GtkWidget*) _tmp30_);
#line 107 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_style_context_add_class (_tmp31_, "card");
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp32_ = (GtkImage*) gtk_image_new_from_icon_name ("selection-checked", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp32_);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	check = _tmp32_;
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp33_ = check;
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp33_, GTK_ALIGN_START);
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp34_ = check;
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp34_, GTK_ALIGN_START);
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp35_ = (GtkRevealer*) gtk_revealer_new ();
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp35_);
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self->priv->check_revealer = _tmp35_;
#line 114 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp36_ = self->priv->check_revealer;
#line 114 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_revealer_set_transition_type (_tmp36_, GTK_REVEALER_TRANSITION_TYPE_CROSSFADE);
#line 115 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp37_ = self->priv->check_revealer;
#line 115 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp38_ = check;
#line 115 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp37_, (GtkWidget*) _tmp38_);
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp39_ = (GtkOverlay*) gtk_overlay_new ();
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_ref_sink (_tmp39_);
#line 117 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	overlay = _tmp39_;
#line 118 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp40_ = overlay;
#line 118 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp41_ = self->priv->image;
#line 118 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) _tmp40_, (GtkWidget*) _tmp41_);
#line 119 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp42_ = overlay;
#line 119 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp43_ = self->priv->check_revealer;
#line 119 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_overlay_add_overlay (_tmp42_, (GtkWidget*) _tmp43_);
#line 121 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 122 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp44_ = self->priv->_thumb;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp45_ = gdk_pixbuf_get_height (_tmp44_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "height-request", _tmp45_ + 18, NULL);
#line 124 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp46_ = self->priv->_thumb;
#line 124 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp47_ = gdk_pixbuf_get_width (_tmp46_);
#line 124 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "width-request", _tmp47_ + 18, NULL);
#line 125 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_set ((GtkWidget*) self, "margin", 6, NULL);
#line 126 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_tmp48_ = overlay;
#line 126 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp48_);
#line 128 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_signal_connect_object ((GtkFlowBoxChild*) self, "activate", (GCallback) __wallpaper_container___lambda4__gtk_flow_box_child_activate, self, 0);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (overlay);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (check);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (provider);
#line 80 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	return obj;
#line 650 "WallpaperContainer.c"
}


static void wallpaper_container_class_init (WallpaperContainerClass * klass) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	wallpaper_container_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_type_class_add_private (klass, sizeof (WallpaperContainerPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_wallpaper_container_get_property;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_wallpaper_container_set_property;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->constructor = wallpaper_container_constructor;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (klass)->finalize = wallpaper_container_finalize;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_URI, g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_THUMB, g_param_spec_object ("thumb", "thumb", "thumb", gdk_pixbuf_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_CHECKED, g_param_spec_boolean ("checked", "checked", "checked", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), WALLPAPER_CONTAINER_SELECTED, g_param_spec_boolean ("selected", "selected", "selected", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 675 "WallpaperContainer.c"
}


static void wallpaper_container_instance_init (WallpaperContainer * self) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self->priv = WALLPAPER_CONTAINER_GET_PRIVATE (self);
#line 682 "WallpaperContainer.c"
}


static void wallpaper_container_finalize (GObject * obj) {
	WallpaperContainer * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->check_revealer);
#line 23 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->image);
#line 25 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_free0 (self->priv->_uri);
#line 26 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	_g_object_unref0 (self->priv->_thumb);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	G_OBJECT_CLASS (wallpaper_container_parent_class)->finalize (obj);
#line 700 "WallpaperContainer.c"
}


GType wallpaper_container_get_type (void) {
	static volatile gsize wallpaper_container_type_id__volatile = 0;
	if (g_once_init_enter (&wallpaper_container_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (WallpaperContainerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) wallpaper_container_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (WallpaperContainer), 0, (GInstanceInitFunc) wallpaper_container_instance_init, NULL };
		GType wallpaper_container_type_id;
		wallpaper_container_type_id = g_type_register_static (gtk_flow_box_child_get_type (), "WallpaperContainer", &g_define_type_info, 0);
		g_once_init_leave (&wallpaper_container_type_id__volatile, wallpaper_container_type_id);
	}
	return wallpaper_container_type_id__volatile;
}


static void _vala_wallpaper_container_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	WallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_URI:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_value_set_string (value, wallpaper_container_get_uri (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_THUMB:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_value_set_object (value, wallpaper_container_get_thumb (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_CHECKED:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, wallpaper_container_get_checked (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_SELECTED:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		g_value_set_boolean (value, wallpaper_container_get_selected (self));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 745 "WallpaperContainer.c"
		default:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 751 "WallpaperContainer.c"
	}
}


static void _vala_wallpaper_container_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	WallpaperContainer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_WALLPAPER_CONTAINER, WallpaperContainer);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_URI:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_uri (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_THUMB:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_thumb (self, g_value_get_object (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_CHECKED:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_checked (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		case WALLPAPER_CONTAINER_SELECTED:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		wallpaper_container_set_selected (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 785 "WallpaperContainer.c"
		default:
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-8f0b853422f874c887ed27f8c6266f50f80ca35b/src/Widgets/WallpaperContainer.vala"
		break;
#line 791 "WallpaperContainer.c"
	}
}



